import { AttributeValue as BaseAttributeValue } from 'aws-sdk/clients/dynamodb';
/**
 * An object containing an already-marshalled DynamoDB AttributeValue.
 * Intended to allow marshalled AttributeValues to be identified as such
 * and distinguished from maps that resemble marshalled values.
 */
export declare class AttributeValue {
    readonly marshalled: BaseAttributeValue;
    readonly [Symbol.toStringTag]: string;
    constructor(marshalled: BaseAttributeValue);
    static isAttributeValue(arg: any): arg is AttributeValue;
}
