"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MARSHALLED_ATTRIBUTE_VALUE_TAG = 'AmazonDynamoDbAttributeValue';
var EXPECTED_TOSTRING = "[object " + MARSHALLED_ATTRIBUTE_VALUE_TAG + "]";
/**
 * An object containing an already-marshalled DynamoDB AttributeValue.
 * Intended to allow marshalled AttributeValues to be identified as such
 * and distinguished from maps that resemble marshalled values.
 */
var AttributeValue = /** @class */ (function () {
    function AttributeValue(marshalled) {
        this.marshalled = marshalled;
        this[Symbol.toStringTag] = MARSHALLED_ATTRIBUTE_VALUE_TAG;
    }
    AttributeValue.isAttributeValue = function (arg) {
        return arg instanceof AttributeValue
            || Object.prototype.toString.call(arg) === EXPECTED_TOSTRING;
    };
    return AttributeValue;
}());
exports.AttributeValue = AttributeValue;
//# sourceMappingURL=AttributeValue.js.map