import { AttributePath } from "./AttributePath";
import { Marshaller } from "@aws/dynamodb-auto-marshaller";
import { ExpressionAttributeNameMap, ExpressionAttributeValueMap } from 'aws-sdk/clients/dynamodb';
/**
 * An object that manages expression attribute name and value substitution.
 */
export declare class ExpressionAttributes {
    readonly names: ExpressionAttributeNameMap;
    readonly values: ExpressionAttributeValueMap;
    readonly marshaller: Marshaller;
    private readonly nameMap;
    private _ctr;
    /**
     * Add an attribute path to this substitution context.
     *
     * @returns The substitution value to use in the expression. The same
     * attribute name will always be converted to the same substitution value
     * when supplied to the same ExpressionAttributes object multiple times.
     */
    addName(path: AttributePath | string): string;
    /**
     * Add an attribute value to this substitution context.
     *
     * @returns The substitution value to use in the expression.
     */
    addValue(value: any): string;
    private addAttributeName;
}
