import { AttributeBearingExpression } from "./AttributeBearingExpression";
import { AttributePath } from "./AttributePath";
import { ExpressionAttributes } from "./ExpressionAttributes";
/**
 * An object representing a DynamoDB function expression.
 */
export declare class FunctionExpression implements AttributeBearingExpression {
    readonly name: string;
    readonly [Symbol.toStringTag]: string;
    readonly args: Array<AttributePath | any>;
    constructor(name: string, ...args: Array<AttributePath | any>);
    serialize(attributes: ExpressionAttributes): string;
    /**
     * Evaluate whether the provided value is a FunctionExpression object.
     */
    static isFunctionExpression(arg: any): arg is FunctionExpression;
}
