import { AttributeBearingExpression } from "./AttributeBearingExpression";
import { AttributePath } from "./AttributePath";
import { ExpressionAttributes } from "./ExpressionAttributes";
export declare type MathematicalExpressionOperand = AttributePath | string | number;
/**
 * An object representing a DynamoDB function expression.
 */
export declare class MathematicalExpression implements AttributeBearingExpression {
    readonly lhs: MathematicalExpressionOperand;
    readonly operator: '+' | '-';
    readonly rhs: MathematicalExpressionOperand;
    readonly [Symbol.toStringTag]: string;
    constructor(lhs: MathematicalExpressionOperand, operator: '+' | '-', rhs: MathematicalExpressionOperand);
    serialize(attributes: ExpressionAttributes): string;
    /**
     * Evaluate whether the provided value is a MathematicalExpression object.
     */
    static isMathematicalExpression(arg: any): arg is MathematicalExpression;
}
